%define	debug_package %{nil}

Name:		libfsntfs
Version:	20151205
Release:	1
Summary:	Library to access the Windows NT File System (NTFS) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfsntfs/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
libfsntfs is a library to access the Windows NT File System (NTFS) format

%package devel
Summary: Header files and libraries for developing applications for libfsntfs
Group: Development/Libraries
Requires: libfsntfs = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfsntfs.

%package tools
Summary: Several tools for reading Windows NT File System (NTFS) volumes
Group: Applications/System
Requires: libfsntfs = %{version}-%{release}

%description tools
Several tools for reading the Windows NT File System (NTFS) volumes

%prep
%setup -q

%package python
Summary: Python bindings for libfsntfs
Group: System Environment/Libraries
Requires: libfsntfs = %{version}-%{release} python
BuildRequires: %(basename %{__python})-devel

%description python
Python bindings for libfsntfs

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%if 0%{?centos} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pyfsntfs/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfsntfs.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/fsntfsinfo
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Sat Dec  5 2015 Lawrence R. Rogers <lrr@cert.org> 20151205-1
* Release 20151205-1
	20151205
	* worked on Python bindings

	20151130
	* worked on USN change journal

	20151106
	* worked on USN change journal

	20151105
	* renamed update journal to USN change journal

	20151104
	* worked on update (or change) journal

	20151008
	* worked on update (or change) journal

	20151005
	* worked on update (or change) journal

* Sat Sep  6 2015 Lawrence R. Rogers <lrr@cert.org> 20150906-1
* Release 20150906-1
	20150906
	* worked on Python bindings

	20150902
	* update libfusn

	20150831
	* worked on Python bindings
	* removed is_mft_attribute_list_element

* Sat Aug 29 2015 Joachim Metz <joachim.metz@gmail.com> 20150829-1
- Auto-generated

